Bug 257343 - games/dMagnetic: update to 0.32
Summary: games/dMagnetic: update to 0.32
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL: http://www.dettus.net/games/dMagnetic
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-22 23:06 UTC by Thomas Dettbarn
Modified: 2021-07-22 23:43 UTC (History)
1 user (show)

See Also:
dettus: maintainer-feedback+


Attachments
Patches ports/games/dmagnetic to release 0.32 (857 bytes, patch)
2021-07-22 23:06 UTC, Thomas Dettbarn
dettus: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Dettbarn 2021-07-22 23:06:47 UTC
Created attachment 226625 [details]
Patches ports/games/dmagnetic to release 0.32

My project dMagnetic just saw release 0.32
I already took the liberty of patching the port, so please find the patch attached to this bug report.

The changelog (As taken from the Debian release) is as followed:


dmagnetic (0.32-1) unstable; urgency=medium

  * New input format: WOZ
  * Minor bug fixes
  * Minor code cleanup

 -- Thomas Dettbarn <dettus@dettus.net>  Fri, 23 Jul 2021 00:33:15 +0200

dmagnetic (0.31-1) unstable; urgency=medium

  * New input formats: NIB and 2MG
  * Improved Sixel mode
  * New -dumpmag and -dumpgfx command line parameters
  * Moved the manpage to section 6 (games)

 -- Thomas Dettbarn <dettus@dettus.net>  Wed, 23 Jun 2021 23:22:22 +0200

dmagnetic (0.30-1) unstable; urgency=medium

  * Internal bugfixes
  * Fixed missing picture from 'Fish!' in C64 mode
  * New characters for the monochrome vmode

 -- Thomas Dettbarn <dettus@dettus.net>  Sun, 31 Jan 2021 14:47:30 +0100

dmagnetic (0.29-1) unstable; urgency=medium

  * AtariXL and Atari800 ATR files are used for playing
  * The new graphic mode UTF has been added
  * More users can enjoy the beautiful pictures now

 -- Thomas Dettbarn <dettus@dettus.net>  Thu, 24 Dec 2020 08:59:34 +0100

dmagnetic (0.28-1) unstable; urgency=medium

  * Spectrum128 and Spectrum+3 binaries can be used
  * Acorn Archimedes binaries can be used for playing
  * Some internal bugfixes

 -- Thomas Dettbarn <dettus@dettus.net>  Sat, 28 Nov 2020 12:48:58 +0100

dmagnetic (0.27-1) unstable; urgency=medium

  * Update to release 0.27.
  * Removed a bug that prevented loading game binaries

  * Loads binaries from Amstrad CPC, Commodore64 and MS DOS

 -- Thomas Dettbarn <dettus@dettus.net>  Sun, 01 Nov 2020 19:09:37 +0100

dmagnetic (0.26-1) unstable; urgency=medium

  * Update to release 0.26.
  * Amstrad CPC images in the DSK format can be used

 -- Thomas Dettbarn <dettus@dettus.net>  Sat, 31 Oct 2020 19:51:49 +0100

dmagnetic (0.25-2) unstable; urgency=medium

  * Build with -ffloat-store on i386 to fix FTBFS. (Closes: #966525)

 -- Thomas Dettbarn <dettus@dettus.net>  Mon, 03 Aug 2020 00:59:17 +0100

dmagnetic (0.25-1) unstable; urgency=medium

  * Update to release 0.25.
  * Post compilation check improved

  * Internal RGB channels upgraded from 3 to 10 bit.

 -- Thomas Dettbarn <dettus@dettus.net>  Sun, 26 Jul 2020 14:26:01 +0100

dmagnetic (0.24-1) unstable; urgency=medium

  * Update to release 0.24.
  * Commodore 64 binaries can be used for playing.

 -- Thomas Dettbarn <dettus@dettus.net>  Sat, 11 Jul 2020 19:56:07 +0100

dmagnetic (0.23-1) unstable; urgency=medium

  * Update to release 0.23.
  * Introduced new graphic render modes for MS-DOS binaries

 -- Thomas Dettbarn <dettus@dettus.net>  Sun, 07 Jun 2020 23:03:53 +0100

dmagnetic (0.22-1) unstable; urgency=medium

  * Update to release 0.22.
  * Binaries from the Magnetic Windows system can be used for playing.
  * Sixel mode allows for high resolution images in certain xterms.

 -- Thomas Dettbarn <dettus@dettus.net>  Thu, 13 Feb 2020 18:56:15 +0100


dmagnetic (0.21-1) unstable; urgency=medium

  * Update to release 0.21.
  * Some lintian warnings have been removed.
  * Leftover debugging code was creating files
  * dMagnetic is capable of reading MS DOS binaries from more games.

 -- Thomas Dettbarn <dettus@dettus.net>  Sat, 18 Jan 2020 22:43:52 +0100

dmagnetic (0.20-1) unstable; urgency=medium

  * Update to release 0.20.
  * It is possible to play with the original MS DOS binaries
  * A glitch in the text output has been removed.
  * The glitch prevented solving jinxter's sliding puzzle.
  * Changed the standards version to 4.4.1

 -- Thomas Dettbarn <dettus@dettus.net>  Wed, 15 Jan 2020 22:14:42 +0100

dmagnetic (0.19-1) unstable; urgency=medium

  * Update to release 0.19.
  * It is possible to play with the original MS DOS binaries
  * New graphic mode (high_ansi2) for the better looking graphics
  * New random number generator for a different playing experience
  * Changed the standards version to 4.4.1

 -- Thomas Dettbarn <dettus@dettus.net>  Fri, 27 Dec 2019 21:23:45 +0100

dmagnetic (0.18-1) unstable; urgency=medium

  * Update to release 0.18.
  * Removed an issue, where sometimes graphics were not shown.

 -- Thomas Dettbarn <dettus@dettus.net>  Mon, 11 Nov 2019 20:11:47 +0100

dmagnetic (0.17-1) unstable; urgency=medium

  * Update to release 0.17.
  * Removed some warnings from the mentors.debian.net site.
  * Changed the compat level to 12.
  * Changed the standards version to 4.4.0

 -- Thomas Dettbarn <dettus@dettus.net>  Mon, 07 Oct 2019 07:37:59 +0200

dmagnetic (0.16-1) UNRELEASED; urgency=low

  * Initial release. Closes: #929619

 -- Thomas Dettbarn <dettus@dettus.net>  Tue, 23 Jul 2019 12:13:30 +0200
Comment 1 commit-hook freebsd_committer 2021-07-22 23:42:14 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e12521856890f0181b88dafe2530e82e7522d985

commit e12521856890f0181b88dafe2530e82e7522d985
Author:     Thomas Dettbarn <dettus@dettus.net>
AuthorDate: 2021-07-22 23:39:41 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-07-22 23:39:41 +0000

    games/dMagnetic: update to 0.32

    * New input format: WOZ
    * Minor bug fixes
    * Minor code cleanup

    PR:             257343

 games/dMagnetic/Makefile | 2 +-
 games/dMagnetic/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 2 Kevin Bowling freebsd_committer 2021-07-22 23:43:06 UTC
Thanks for your contribution!